summaryrefslogtreecommitdiff
path: root/games-fps/quake1-rally
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /games-fps/quake1-rally
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'games-fps/quake1-rally')
-rw-r--r--games-fps/quake1-rally/Manifest2
-rw-r--r--games-fps/quake1-rally/metadata.xml9
-rw-r--r--games-fps/quake1-rally/quake1-rally-1.2.ebuild38
3 files changed, 49 insertions, 0 deletions
diff --git a/games-fps/quake1-rally/Manifest b/games-fps/quake1-rally/Manifest
new file mode 100644
index 000000000000..584400f9ad96
--- /dev/null
+++ b/games-fps/quake1-rally/Manifest
@@ -0,0 +1,2 @@
+DIST qr12.zip 9885866 BLAKE2B a2fa1ad28033bd5530c53c132b44732325fcfc58585474859b6e3cc34c94751142ff69bcaf01062a8adb16e259583bae923c90d294b08ea7278862621c39a8b2 SHA512 a49b00e67b95c06b4898ad8e1f9e0a718c025736e7d68d3aa8e6ff9cf3062ea8a0cd0ea0deee5c2af8e3e30652c4420cd4b030b3bd8f1dd4ace9236bfaaf5e5a
+DIST qrlo1.zip 4086037 BLAKE2B 066945f0121efe38a222dc475d30d759ad50ab0c58f98e798955b18b3723001e2aeeac8d2627972bb3e9706786032ccf53e7fd96874815ae13f9167589435854 SHA512 94af61a0f6978c39425cbc414e094417deef99f109aac2905877b3723873657c3ef7d7ae7d3b247144d68eabbfb79750a654e627ac039d315ff0f2fd323f395d
diff --git a/games-fps/quake1-rally/metadata.xml b/games-fps/quake1-rally/metadata.xml
new file mode 100644
index 000000000000..972e3be0ecc4
--- /dev/null
+++ b/games-fps/quake1-rally/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="project">
+ <email>games@gentoo.org</email>
+ <name>Gentoo Games Project</name>
+</maintainer>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/games-fps/quake1-rally/quake1-rally-1.2.ebuild b/games-fps/quake1-rally/quake1-rally-1.2.ebuild
new file mode 100644
index 000000000000..e7c086e83cbe
--- /dev/null
+++ b/games-fps/quake1-rally/quake1-rally-1.2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+inherit eutils games
+
+DESCRIPTION="TC which turns Quake into a Rally racing game"
+HOMEPAGE="http://wiki.quakeworld.nu/Quake_Rally"
+SRC_URI="http://ehall.freeshell.org/quake/qr12.zip
+ http://ehall.freeshell.org/quake/qrlo1.zip"
+
+LICENSE="all-rights-reserved"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+RESTRICT="mirror bindist"
+
+RDEPEND=""
+DEPEND="app-arch/unzip"
+
+S=${WORKDIR}
+
+src_unpack() {
+ echo ">>> Unpacking qr12.zip to ${PWD}"
+ unzip -qoLL "${DISTDIR}"/qr12.zip || die "unpacking qr12.zip failed"
+ echo ">>> Unpacking qrlo1.zip to ${PWD}"
+ unzip -qoLL "${DISTDIR}"/qrlo1.zip || die "unpacking qrlo1.zip failed"
+ rm -f button.wav qrally.exe
+ cd rally
+ edos2unix $(find . -name '*.txt' -o -name '*.cfg')
+ mv rally{,.example}.cfg
+}
+
+src_install() {
+ insinto "${GAMES_DATADIR}/quake1"
+ doins -r *
+ prepgamesdirs
+}